.TH NHL 1 "20 Aug 1993"
.SH NAME
nhl - Print the NHL schedule
.SH SYNOPSIS
nhl
[\-n\fInum\fP] [-h]
[TEAM|DIV [TEAM|DIV]]
[mm/dd ...]
.SH DESCRIPTION
.PP
This program produces an on-line schedule for the NHL regular season.
Perfect for that .login -- also makes a great Xmas gift!
.PP
With no teams or divisions specified,
.I nhl
prints the league schedule for the given dates. If no dates are given
then today's schedule is printed.
.PP
With one team or division specified,
.I nhl
prints upcoming games for that team or for teams in that division,
starting from each of the given dates (or from today if none are
given).
.PP
With two teams or divisions specified,
.I nhl
prints upcoming games where the first team (or any team in the first
division) plays the second team (or any team in second division),
starting from each of the given dates (or from today if none are
given).
.PP
Note that to get a listing of upcoming intra-division games you need
to give the division twice (i.e., use two-team mode).  If the division
is only given once, then
.I nhl
will list games in which either team was in the division, not
necessarily both.
.SH DIAGNOSTICS
.PP
If no dates are given and today's date isn't during the season, a
warning is issued to stderr and the start of the season is used.
.PP
If a date is explicitly given that isn't during the season, an error
message is printed (to stdout) and
.I nhl
exits.
.PP
Errors involving incorrect team or division codes, bad dates, or other
command-line errors cause the help text to be printed and
.I nhl
exits with an error indication.
.PP
Any other errors (marked with "YOW!")  indicate that the program was
not properly configured for the season.  You shouldn't see these
unless you try to update
.I nhl
for a new season.
.SH OPTIONS
.IP \fB-n\fInum\fR
Set the number of games to display in one-team or two-team mode. The
default is 3.
.IP \fB-t\fIteam\fR
Teams can specified with or without a leading \fB-t\fP, from the
following list:

.nf
.na
ana - Anaheim        bos - Boston         buf - Buffalo     
cgy - Calgary        chi - Chicago        dal - Dallas      
det - Detroit        edm - Edmonton       fla - Florida     
hfd - Hartford       los - Los Angeles    mtl - Montreal    
njd - New Jersey     nyi - NY Islanders   nyr - NY Rangers  
ott - Ottawa         phl - Philadelphia   pit - Pittsburgh  
que - Quebec         stl - St. Louis      sjs - San Jose    
tmp - Tampa Bay      tor - Toronto        van - Vancouver   
wsh - Washington     wpg - Winnipeg    
.ad
.fi

.IP \fB-d\fIdiv\fR
Divisions can specified with or without a leading \fI-d\fP, from the
following list: 

.nf
.na
    nea - Northeast           atl - Atlantic    
    ctl - Central             pac - Pacific     
.ad
.fi

.IP \fB-h\fR
If given,
.I nhl
prints the help message and exits.
.SH AUTHOR
.PP
Original program concept by Len Carr, used with permission.
.PP
All other features created by Rob Springall (rgs7077@ultb.isc.rit.edu,
rgs7077@ritvax.bitnet), except for the neutral site games feature,
created by Tom Wilson (twilson@dab.ge.com).
.PP
Maintained through 1992-93 season by: Valerie Hammerl
(hammerl@acsu.buffalo.edu) and Rob Springall.
.PP
Re-constructed for 1993-94 by George Ferguson
(ferguson@cs.rochester.edu), who also added head-to-head modes, wrote
the manpage and put together the distribution kit.
.PP
Additional credit goes to the members of the USENET community who
contributed ideas and support for this project.
.SH COPYRIGHT
This program is not copyrighted or registered in any form.  It does,
however, remain the intellectual property of its authors.
